Name: freepv
Version: 0.3.0
Release: alt3

Summary: Opensource panorama viewer
License: LGPLv2.1
Group: Graphics

URL: http://freepv.sourceforge.net/
Source: http://downloads.sourceforge.net/freepv/freepv-%version.tar.gz
Patch1: freepv-0.3.0-stdio.patch
Patch2: freepv-0.3.0-constchar.patch
Patch3: freepv-0.3.0-desktop.patch

# Automatically added by buildreq on Wed Mar 09 2011
BuildRequires: cmake gcc-c++ libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXft-devel libXinerama-devel libXpm-devel libXrandr-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libfreeglut-devel libjpeg-devel libpng-devel libxkbfile-devel libxml2-devel seamonkey-devel xml-utils

# We need %%%browser_plugins_path macro:
BuildRequires: browser-plugins-npapi-devel

%description
freepv is an open source panorama viewer, development is at an early
stage, but features already include:
* Hardware acceleration
* Cubic Projection and Cylindrical Projection panoramas
* QTVR support
* mozilla/firefox plugin
* standalone viewer
* inertial motion similar to SPi-V

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

# Fix hardcoded plugins path
subst 's.${LIBDIR}/mozilla/plugins.%browser_plugins_path.' src/freepv-mozilla/CMakeLists.txt

%build
%cmake_insource
# quick hack to link in --as-needed mode, just add -ljpeg to LIBS
%make_build LIBS="-lz -ljpeg" VERBOSE=1

%install
%makeinstall_std

%files
%_bindir/*
%_desktopdir/*
%browser_plugins_path/*.so
%exclude %_includedir
%exclude %_libdir/*.a

%changelog
* Wed Mar 09 2011 Victor Forsiuk <force@altlinux.org> 0.3.0-alt3
- Refresh BuildRequires.
- Fix build to apply optimization flags.

* Tue Oct 06 2009 Victor Forsyuk <force@altlinux.org> 0.3.0-alt2
- Fix repocop warnings.
- Rebuilt with browser-plugins-npapi.

* Tue Jun 16 2009 Victor Forsyuk <force@altlinux.org> 0.3.0-alt1
- 0.3.0

* Tue Dec 02 2008 Victor Forsyuk <force@altlinux.org> 0.1-alt4
- Renew build requirements to fix FTBFS.

* Thu Nov 13 2008 Victor Forsyuk <force@altlinux.org> 0.1-alt3
- Fix FTBFS with gcc43.

* Fri Oct 10 2008 Victor Forsyuk <force@altlinux.org> 0.1-alt2
- Renew build requirements to fix FTBFS.

* Thu Jul 19 2007 Victor Forsyuk <force@altlinux.org> 0.1-alt1
- Initial build.
